all repos — tint2 @ 2745eefec70dc0be0a9efbd7e285d214e779521a

fork of the tint2 desktop panel for my custom setup - only minimized windows across all desktops for the taskbar

Updated version scripts for git
o9000 o9000
commit

2745eefec70dc0be0a9efbd7e285d214e779521a

parent

2357e3196525de547db6d540650cbb3a31414056

2 files changed, 22 insertions(+), 0 deletions(-)

jump to
M get_version.shget_version.sh

@@ -1,3 +1,20 @@

#!/bin/sh +git update-index -q --ignore-submodules --refresh +# Disallow unstaged changes in the working tree +if ! git diff-files --quiet --ignore-submodules -- +then + echo >&2 "Error: there are unstaged changes." + git diff-files --name-status -r --ignore-submodules -- >&2 + exit 1 +fi + +# Disallow uncommitted changes in the index +if ! git diff-index --cached --quiet HEAD --ignore-submodules -- +then + echo >&2 "Error: there are uncommitted changes." + git diff-index --cached --name-status -r --ignore-submodules HEAD -- >&2 + exit 1 +fi + git describe --exact-match 2>/dev/null || echo "0.11-git$(git show -s --pretty=format:%cI.%h | tr -d ':' | tr -d '-' | tr '.' '-' | sed 's/T[0-9\+]*//g')"
M make_release.shmake_release.sh

@@ -20,6 +20,11 @@ #

# git checkout master VERSION=$(./get_version.sh) +if [ ! $? -eq 0 ] +then + echo >&2 "Error: get_version.sh failed!" + exit 1 +fi DIR=tint2-$VERSION echo "Making release $DIR"